###############################################################################
#	Filename:	QuantumTorpedo.py
#	
#	Confidential and Proprietary, Copyright 2000 by Totally Games
#	
#	Script for filling in the attributes of Fusion torpedoes.
#	
#	Created:	may 7/02 -	David T.Anttila
###############################################################################

import App

###############################################################################
#	Create(pTorp)
#	
#	Creates a Fusion torpedo.
#	
#	Args:	pTorp - the torpedo, ready to be filled-in
#	
#	Return:	zero
###############################################################################
def Create(pTorp):
	kCoreColor = App.TGColorA()
	kCoreColor.SetRGBA(220.0 / 255.0, 222.0 / 255.0, 253.0 / 255.0, 1.000000)
	kGlowColor = App.TGColorA()
	kGlowColor.SetRGBA(61.0 / 255.0, 98.0 / 255.0, 239.0 / 255.0, 1.000000)	

	pTorp.CreateTorpedoModel(
					"data/Textures/Tactical/Quantum01.tga",
					kCoreColor, 
					0.10,
					0.0,	 
					"data/Textures/Tactical/Quantum01Glow.tga", 
					kGlowColor,
					2.1,	
					0.4,	 
					0.3,	
					"data/Textures/Tactical/TorpedoFlares.tga",
					kGlowColor,										
					85,		
					0.3,		
					0.5)

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.50)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.QUANTUM)

	return(0)

def GetLaunchSpeed():
	return(20.0)

def GetLaunchSound():
	return("Quantum Torpedo")

def GetPowerCost():
	return(5.0)

def GetName():
	return("Hammer Torped")

def GetDamage():
	return 12000.0

def GetGuidanceLifetime():
	return 2.0

def GetMaxAngularAccel():
	return 0.25
